/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");

window.onload = date_time('date_time')

function date_time(id)
{
        date = new Date;
        year = date.getFullYear();
        month = date.getMonth();
        months = new Array('January', 'February', 'March', 'April', 'May', 'June', 'Jully', 'August', 'September', 'October', 'November', 'December');
        d = date.getDate();
        day = date.getDay();
        days = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
        h = date.getHours();
        if(h<10)
        {
                h = "0"+h;
        }
        m = date.getMinutes();
        if(m<10)
        {
                m = "0"+m;
        }
        s = date.getSeconds();
        if(s<10)
        {
                s = "0"+s;
        }
        result = 'Madrid, Spain <br /> '+days[day]+' '+months[month]+' '+d+' '+year+' '+h+':'+m+':'+s;
        document.getElementById(id).innerHTML = result;
        setTimeout('date_time("'+id+'");','1000');
        return true;
}

function getSkeletons(jsonObject) {
	var skl = 0;
  
  for (var i = 0; i < jsonObject.skeletons.length; i++) {
	var headZ = 0;
    var hipZ = 0;
	skl++;
    
    for (var j = 0; j < jsonObject.skeletons[i].joints.length; j++) 
    {
      
      var joint = jsonObject.skeletons[i].joints[j];
      //640 x 480

     var cordx = ((joint.x * window.screen.availWidth) / 640);
     var cordy = ((joint.y * window.screen.availHeight) / 480);
	 var cordz = 200 - ((joint.z * 200) / 4);
      
      if(joint.name == 'head')
      {
      document.getElementById('head' + skl).style.left = cordx + 'px';
      document.getElementById('head' + skl).style.top = cordy + 'px';
        document.getElementById('head' + skl).style.width = cordz + 'px';
        document.getElementById('head' + skl).style.height = cordz + 'px';
        document.getElementById('head' + skl).style.borderRadius  = cordz + 'px';
        document.getElementById('head' + skl).style.zIndex = Math.floor(cordz);
        document.getElementById('text').innerHTML=joint.z;

      }

      if(joint.name == 'handleft')
      {
      	document.getElementById('handleft' + skl).style.left = cordx + 'px';
      	document.getElementById('handleft' + skl).style.top = cordy + 'px';
        document.getElementById('handleft' + skl).style.width = cordz + 'px';
        document.getElementById('handleft' + skl).style.height = cordz + 'px';
        document.getElementById('handleft' + skl).style.borderRadius  = cordz + 'px';
        document.getElementById('handleft' + skl).style.zIndex = Math.floor(cordz);
      }

      if(joint.name == 'handright')
      {
      document.getElementById('handright' + skl).style.left = cordx + 'px';
      document.getElementById('handright' + skl).style.top = cordy + 'px';
        document.getElementById('handright' + skl).style.width = cordz + 'px';
        document.getElementById('handright' + skl).style.height = cordz + 'px';
        document.getElementById('handright' + skl).style.borderRadius = cordz + 'px';
         document.getElementById('handright' + skl).style.zIndex = Math.floor(cordz);
        
      }
      
      
      
      
      
    //http://www.codeproject.com/KB/dotnet/KinectGettingStarted/7.png
  //------------------------
  //[0] handright
  //[1] elbowright
  //[2] shoulderright
  //[3] handleft
  //[4] elbowleft
  //[5] shoulderleft
  //[6] head
  //[7] spineneck
  //[8] spinecenter
  //[9] hipcenter
  //[10] kneeleft
  //[11] kneeright
  //[12] ankleleft
  //[13] ankleright      
     }
	}
}


              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
}

function next() {
	console.debug('Next!');  
}

function prior() {
	console.debug('Prior');
}

function grip() {
	console.debug('Grip!');  
}

function release() {
	console.debug('Release');
}

function noUser(){
  console.debug('No User :(');  
//sendToArduino('0');
  
}

function newUser() {
  console.debug('New User :)');  
  //sendToArduino('1');
}

function changeHandNone() {
	console.debug('Hand None');  
}

function changeHandRight() {
  	console.debug('Hand Right');  
}

function changeHandLeft() {
	console.debug('Hand Left');  
}